body {
	font-family: 'Kanit', sans-serif;
}

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

header {
	background-color: #bcb19b;
	color: #fff;
	height: 100vh;
	min-height: 570px;
	overflow-y: hidden;
	text-align: center;
	position: relative;
}
.bg-image {
	position: absolute;
	width: 50vw;
	max-width: 300px;
	bottom: -8em;
	left: 50%;
	transform: translateX(-50%);
	z-index: 0;
}

a {
	color: #fff;
	text-decoration: none;
	transition: color 200ms;
}

a:hover {
	color: #000;
	border-color: #000;
}

.container {
	padding: 1em 2em;
	max-width: 1100px;
	height: 100%;
	margin: 0 auto;
	position: relative;
	overflow: hidden;
}

.menu {
	display: flex;
	justify-content: space-between;
	align-items: center;
	font-size: 1.2em;
}

.btn {
	display: inline-block;
	border: 2px solid #fff;
	padding: 0.5rem 1.3rem;
	font-size: 1.2em;
	margin: 2em 0;
}

.title .brand {
	font-size: 2.5em;
}

.title h1 {
	font-size: clamp(3em, 15vw, 9em);
	text-transform: uppercase;
	letter-spacing: 4px;
	line-height: 1em;
	color: #fff27a;
}

.title h2 {
	font-size: clamp(2em, 5vw, 5em);
	text-transform: uppercase;
	letter-spacing: 4px;
	line-height: 1em;
	font-weight: 400;
	margin-top: 0.2em;
}

.social {
	display: flex;
	justify-content: center;
	align-items: center;
	gap: 2em;
	margin-top: 4em;
	font-size: 1.4em;
}

.preloader {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	animation: rotate 500ms linear infinite;
}

.preloader i {
	font-size: 5em;
}

@media screen and (min-width: 1000px) {
	.container {
		display: flex;
		justify-content: center;
		align-items: center;
	}
	.bg-image {
		bottom: 0;
	}
	.menu,
	.btn,
	.social,
	.brand {
		position: absolute;
	}
	.menu {
		top: 35px;
		right: 25px;
		gap: 2em;
	}
	.btn {
		bottom: 25px;
		right: 25px;
		margin: 0;
	}
	.social {
		left: 25px;
		bottom: 30px;
	}
	.brand {
		top: 25px;
		left: 25px;
	}
}

@media screen and (max-width: 1000px) {
	.content {
		position: absolute;
		bottom: 1em;
		left: 50%;
		transform: translateX(-50%);
	}
}

@media screen and (max-width: 1000px) and (max-width: 650px) {
	.bg-image {
		bottom: initial;
		top: 10em;
	}
}

@keyframes rotate {
	100% {
		transform: translate(-50%, -50%) rotate(360deg);
	}
}

.bg-image,
.menu a,
.btn,
.title h1,
.title h2,
.social a,
.brand {
	opacity: 0;
}
